Bug 108003 - Backport patch for i2c-i801 to support Intel 82801EB ICH5
Backport patch for i2c-i801 to support Intel 82801EB ICH5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-25 22:36 EDT by Edward Stangler
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 18:35:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Stangler 2003-10-25 22:36:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
I can't use lm_sensors on a Dell Optiplex GX270, which uses an Intel 82801EB 
ICH5 SMBus.

The i2c-i801 driver (1.6.5) fails to load on ICH5, so no lm_sensors.  Any 
chance we could get i2c-i801 patched with ICH5 support?  The code changes are 
very straightforward; it acts exactly like ICH4.  Basically, you just need to 
add a #define and use it in two or three places (everywhere that ICH4 is used).

The kernel driver i2c-i801 is only version 1.6.5 (rev. 1.2.7).  It does not 
contain support for Intel 82801EB ICH5, which was added in version 2.8.0 (rev. 
1.3.3).


Version-Release number of selected component (if applicable):
lm_sensors-2.8.0-1

How reproducible:
Always

Steps to Reproduce:
modprobe i2c-i801
    

Actual Results:  dmesg reports:
i2c-i801.o version 2.6.5 (20020915)
i2c-i801.o: Error: Can't detect I801, function 3!
i2c-i801.o: I801 not detected, module not inserted.


Expected Results:  lsmod would show that i2c-i801 loaded properly.


Additional info:
Comment 1 Florian La Roche 2003-10-26 06:34:48 EST
This is about the drivers in the kernel, so I assign to the kernel component.

greetings,

Florian La Roche
Comment 2 Dave Maley 2004-11-04 14:53:28 EST
LLNL is also hitting what appears to be this same problem.  This was
reported in IT_53714.
Comment 3 Dave Jones 2004-11-27 18:35:08 EST
2.6.9 based update is now available for fc2, which should fix this.

Note You need to log in before you can comment on or make changes to this bug.